<ion-header>
  <ion-toolbar mode="ios">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title><h1>{{cart.total | currency:' '}}</h1></ion-title>
  </ion-toolbar>

  <ion-toolbar mode="ios">
    <ion-row class="ion-text-center totals">
      <ion-col size="4" class="ion-text-center" hidden>
        <ion-label color="medium">
          <h3>TOTAL</h3>
        </ion-label>
      <h4>{{cart.total | currency:' '}}</h4>
    </ion-col>
    <ion-col size="4" class="discount" (click)="discount()">      
      <ion-label color="medium">
        <h3>DISCOUNT</h3>
      </ion-label>
      <h4>{{cart.discount | currency:' '}}</h4>
    </ion-col>
    <ion-col size="4" button="true">
      <ion-label color="medium">
        <h3>NET</h3>
      </ion-label>
      <h4>{{cart.net | currency:' '}}</h4>
    </ion-col>
    <ion-col size="4" class="cash">
      <ion-label color="medium" class="ion-text-center">
        <h3>CASH</h3>
      </ion-label>
      <h4>{{cash | currency:' '}}</h4>      
    </ion-col>
  </ion-row>
  </ion-toolbar>
</ion-header>

<ion-content>  

  <ion-row>
    <ion-col size="4">
      <ion-row class="keypads">
        <ion-col size="12" *ngFor="let key of bills">
          <ion-button shape="round" expand="full" fill="outline" color="dark" size="large" (click)="bill(key)">{{key}}</ion-button>
        </ion-col>
      </ion-row>
    </ion-col>
    <ion-col size="8">
        <ion-row class="keypads">
          <ion-col size="4" *ngFor="let key of keypads">
            <ion-button shape="round" expand="full" fill="outline" color="dark" size="large" (click)="keypress(key)">{{key}}</ion-button>
          </ion-col>
        </ion-row>
    </ion-col>
  </ion-row>

  <ion-label color="medium" hidden>
    <h2 class="ion-text-center">{{cart.items.length}} item(s)</h2>
  </ion-label>

  <ion-list>

    <ion-item-sliding *ngFor="let item of cart.items">
      <ion-item-options side="start">
        <ion-item-option (click)="removeItem(item)" color="light"><ion-icon name="ios-trash" size="large" color="danger"></ion-icon></ion-item-option>        
      </ion-item-options>
  
      <ion-item>
        
        <ion-label>
          <h2>{{item.name}}</h2>
          <p>@{{item.price | currency:' '}} x {{item.quantity}}</p>
        </ion-label>
        <p slot="end">{{item.amount | currency:' '}}</p>
      </ion-item>
    </ion-item-sliding>
    
  </ion-list>
</ion-content>

<ion-footer *ngIf="change > -1 && showFooter">
  <ion-button expand="full" shape="round" color="success" 
  mode="ios" (click)="settle()" [disabled]="cart.total <= 0 || change < 0">
    <span>Change is {{change | currency:' '}}</span>      
  </ion-button>
</ion-footer>